Subject: Re: [PATCH v2 2/2] doc: git-worktree: Add side by side branch checkout example

From: Michal Suchánek <[email-masked]>
Date: Tue, 18 Nov 2025 13:01:15 +0100

On Fri, Oct 24, 2025 at 12:57:42PM -0400, Eric Sunshine wrote:
> On Fri, Oct 24, 2025 at 6:15 AM Michal Suchánek <[email-masked]> wrote:
> > On Sat, Oct 11, 2025 at 01:17:47AM -0400, Eric Sunshine wrote:
> > > Third, the example seems overly complicated, especially with its use
> > > of `--git-dir`, which feels less discoverable (at least to me) than,
> > > say `-C`. What I have in mind is an example more like this:
> > >
> > >     $ git clone --bare <repository-url> myproj.git
> > >     $ git -C myproj.git worktree add feature-a
> > >     $ git -C myproj.git worktree add feature-b
> > >
> > > That should be more than sufficient to get people up and running with
> > > associating worktrees to a bare repository.
> >
> > That creates a mess. First part is not creating the directory to contain
> > the worktrees related to the repository. Second is creating the
> > worktrees inside the bare repository, contrary to any reasonabe usage
> > advice.
> 
> Sorry, I mistyped that. What I meant was:
> 
>     $ git -C myproj.git worktree add ../feature-a
> 
> which makes the worktrees siblings of the bare repository.

and requires the mental gymnastics of adjusting the paths passed to the
command based on -C argument. Does not sound like a good example how to
use the command.

> As for first creating a directory to contain the repository and the
> worktrees, I purposely omitted that step in the example since I
> assume/hope that we don't need to hand-hold the user to that extent.

Its much easier to reove superluous parts from the example than adding
patrs that were omitted.

Thanks

Michal